# Reference

The Quick Reference gives one line summaries of all of the methods and properties of the bitstring classes.

This section gives more information and usually examples.

- Introduction
  - The bitstring classes
  - Creating bitstrings
- Interpreting Bitstrings
  - Short Interpretations
  - Properties
- Bits
  - `Bits`
  - Methods
  - Properties
  - Special Methods
- BitArray
  - `BitArray`
  - Methods
  - Properties
  - Special Methods
- ConstBitStream
  - `ConstBitStream`
  - Reading and parsing
  - Methods
  - Properties
- BitStream
  - `BitStream`
- Array
  - `Array`
  - Methods
  - Special Methods
  - Properties
- Functions
  - pack
- Module Variables
  - lsb0
  - bytealigned
- Command Line Usage
- Exceptions
  - `Error`
  - `InterpretError`
  - `ByteAlignError`
  - `CreationError`
  - `ReadError`